Package org.springframework.web.servlet.mvc.method.annotation

# Class UriComponentsBuilderMethodArgumentResolver

java.lang.Object
org.springframework.web.servlet.mvc.method.annotation.UriComponentsBuilderMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class UriComponentsBuilderMethodArgumentResolver extends Object implements org.springframework.web.method.support.HandlerMethodArgumentResolver
Resolvers argument values of type `UriComponentsBuilder`.

The returned instance is initialized via `ServletUriComponentsBuilder.fromServletMapping(HttpServletRequest)`.

Since:
  3.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`UriComponentsBuilderMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, org.springframework.web.bind.support.WebDataBinderFactory binderFactory)`
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UriComponentsBuilderMethodArgumentResolver

public UriComponentsBuilderMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`

### resolveArgument

public Object resolveArgument(org.springframework.core.MethodParameter parameter, @Nullable org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, @Nullable org.springframework.web.bind.support.WebDataBinderFactory binderFactory) throws Exception

Specified by:
  `resolveArgument` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`
Throws:
  `Exception`